summaryrefslogtreecommitdiffstats
path: root/sbin/restart-anaconda
diff options
context:
space:
mode:
authorxiubuzhe <xiubuzhe@sina.com>2023-10-08 20:59:00 +0800
committerxiubuzhe <xiubuzhe@sina.com>2023-10-08 20:59:00 +0800
commit1dac2263372df2b85db5d029a45721fa158a5c9d (patch)
tree0365f9c57df04178a726d7584ca6a6b955a7ce6a /sbin/restart-anaconda
parentb494be364bb39e1de128ada7dc576a729d99907e (diff)
downloadsunhpc-1dac2263372df2b85db5d029a45721fa158a5c9d.tar.gz
sunhpc-1dac2263372df2b85db5d029a45721fa158a5c9d.tar.bz2
sunhpc-1dac2263372df2b85db5d029a45721fa158a5c9d.zip
first add files
Diffstat (limited to 'sbin/restart-anaconda')
-rwxr-xr-xsbin/restart-anaconda34
1 files changed, 34 insertions, 0 deletions
diff --git a/sbin/restart-anaconda b/sbin/restart-anaconda
new file mode 100755
index 0000000..5e654ef
--- /dev/null
+++ b/sbin/restart-anaconda
@@ -0,0 +1,34 @@
+#! /bin/bash
+#
+# restart-anaconda: Debugging tool to restart stage2 Anaconda.
+#
+# Copyright (C) 2010
+# Red Hat, Inc. All rights reserved.
+#
+# This program is free software; you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation; either version 2 of the License, or
+# (at your option) any later version.
+#
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+# GNU General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License
+# along with this program. If not, see <http://www.gnu.org/licenses/>.
+#
+
+rm -rf /tmp/updates || echo "Error removing /tmp/updates. Updates won't be re-downloaded." >&2
+
+if [[ -f /var/run/iscsid.pid ]]; then
+ # iscsid must die else it will cause us troubles on the next run
+ # log out of all nodes
+ /sbin/iscsiadm -m node --logoutall=all
+fi
+
+# This will kill all programs in the anaconda group and restart the
+# service.
+systemctl stop anaconda.service
+anaconda-cleanup
+systemctl start --no-block anaconda.service